# ResponseOnlyTxInfo | xrpl
Documentation for xrpl

# Interface ResponseOnlyTxInfo

This information is added to Transactions in request responses, but is not part of the canonical Transaction information on ledger. These fields are denoted with lowercase letters to indicate this in the rippled responses.

#### Hierarchy

- ResponseOnlyTxInfo

- Defined in packages/xrpl/src/models/common/index.ts:94

#####
Index

### Properties

date?
hash?
inLedger?
ledger_index?

## Properties

### `Optional` date

date?: number

The date/time when this transaction was included in a validated ledger.

- Defined in packages/xrpl/src/models/common/index.ts:98

### `Optional` hash

hash?: string

An identifying hash value unique to this transaction, as a hex string.

- Defined in packages/xrpl/src/models/common/index.ts:102

### `Optional` inLedger

inLedger?: number

#### Deprecated

Alias for ledger_index.

- Defined in packages/xrpl/src/models/common/index.ts:110

### `Optional` ledger_index

ledger_index?: number

The sequence number of the ledger that included this transaction.

- Defined in packages/xrpl/src/models/common/index.ts:106

Generated using TypeDoc